package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag202common;


import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT202Creator;

import java.util.LinkedList;

public class Tag13CCreator extends AbsTagCreate {
    private MT202Creator mt202Creator;

    public Tag13CCreator(MT202Creator absMTCreator) {
        super(absMTCreator);
        this.mt202Creator = (MT202Creator) absMTCreator;
    }

    @Override
    public void creator() {
        LinkedList tag13CValue = mt202Creator.getTimeIndication();
        mt202Creator.set("13C",tag13CValue);
    }
}
